Retrieve vector store
GET
/vector_stores/{vector_store_id}Retrieve vector store
curl https://api.tpg-oai.studydeckedu.com/v1/vector_stores/vs_abc123 \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2"
{
"id": "vs_abc123",
"object": "vector_store",
"created_at": 1699061776,
"name": "Support FAQ",
"file_counts": {
"in_progress": 0,
"completed": 3,
"failed": 0,
"cancelled": 0,
"total": 3
},
"usage_bytes": 139920,
"status": "completed",
"last_active_at": null,
"metadata": {}
}
Returns Examples
{
"id": "vs_abc123",
"object": "vector_store",
"created_at": 1699061776,
"name": "Support FAQ",
"file_counts": {
"in_progress": 0,
"completed": 3,
"failed": 0,
"cancelled": 0,
"total": 3
},
"usage_bytes": 139920,
"status": "completed",
"last_active_at": null,
"metadata": {}
}